-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--select * from c6mart.assetclass
CREATE procedure [C6Mart].[RP_DM_ASSETCLASS]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ASSETCLASS',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ASSETCLASS
	SELECT 
		A.ASSET AS ID_ASSETCLASS,
		A.DESCRIZIONE AS DESCRIZIONE,
		A.LIVELLO AS LIVELLO,
		B.ORDINAMENTO_ASSET AS ORDINAMENTO,
		@ID_ELAB AS ID_ELAB
	--SELECT *
	into #temp
	FROM C6STAGING.RP_ASSETCLASS A
	JOIN 
	C6Staging.RP_REP_ASSET_1_E_2_ORDINATE B
		ON A.ASSET = B.CODICE_ASSET_CLASS_INGRESSO
		order by B.ORDINAMENTO_ASSET desc
	INSERT INTO [C6Mart].[ASSETCLASS]
		   ([ID_ASSETCLASS]
		   ,[DESCRIZIONE]
		   ,[LIVELLO]
		   ,[ORDINAMENTO]
		   ,[ID_ELAB])
	SELECT 
		ID_ASSETCLASS,
		DESCRIZIONE,
		LIVELLO,
		ORDINAMENTO,
		ID_ELAB
	from #temp order by ORDINAMENTO desc
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ASSETCLASS' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ASSETCLASS'
		)
END